Skip to content

Reads history using an exclusive Sequence cursor.

GET
/api/workspace/workflow/runtime/instances/{id}/history
curl --request GET \
--url 'https://example.com/api/workspace/workflow/runtime/instances/example/history?afterSequence=0&pageSize=50' \
--header 'Authorization: Bearer <token>'
id
required
string
afterSequence
integer format: int64
0
pageSize
integer format: int32
default: 50
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
Events
Array<object>
nullable
object
Sequence
integer format: int64
VisitId
string
nullable
EventType
string
nullable
OccurredAtUtc
string format: date-time
ActorUserId
string
nullable
CorrelationId
string
nullable
ChoiceKey
string
nullable
Reason
string
nullable
ErrorCode
string
nullable
NodeKey
string
nullable
NodeTitle
string
nullable
SourceNodeKey
string
nullable
SourceNodeTitle
string
nullable
ChoiceTitle
string
nullable
ActorDisplayName
string
nullable
OutputKey
string
nullable
TriggerEventId
string
nullable
NextSequence
integer format: int64
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}